View Issue Details

IDProjectCategoryView StatusLast Update
0002645Far ManagerEditorpublic2014-06-04 21:13
ReportershmuelAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002645: Повторный поиск (ShiftF7) работает неправильно с опцией "Cursor at end"
DescriptionВключенная опция редактора "cursor at end" приводит к пропуску символа при повторном поиске.
Steps To Reproduce1. Включить опцию "cursor at end"
2. Ввести в редакторе текст 123123123
3. Поставить курсор впереди этого текста
4а. Нажать F7, в диалоге ввести строку поиска 123, нажать Enter
4б. Найдена первая подстрока 123 текста 123123123.
5. Нажать ShiftF7 - находится третья подстрока 123, а должна находиться вторая.
TagsNo tags attached.
Build3865

Activities

DrKnS

2014-04-12 14:30

administrator   bugnote:0012196

3862

shmuel

2014-04-12 17:59

developer   bugnote:0012198

Стало лучше, но есть ещё такая бяка, наверное связанная с исходной:
1. Выключить опцию "cursor at end" (да, выключить)
2. В редакторе в первой строке ввести 123123123
3. Home F7 1 2 3 Enter ShiftF7 ShiftF7 Home
4. ShiftF7 --> Could not find the string

DrKnS

2014-04-12 20:32

administrator   bugnote:0012199

3864

shmuel

2014-04-13 00:45

developer   bugnote:0012201

Осталась такая особенность, уж не знаю, считать ли это багом или нет:
1. Выключить опцию "cursor at end"
2. В редакторе в первой строке ввести 123123123
3. Home F7 1 2 3 Enter ShiftF7 ShiftF7
4. ShiftF7 --> Could not find the string
5. ShiftF7 --> внезапно строка найдена

DrKnS

2014-04-13 13:47

administrator   bugnote:0012203

3865

Issue History

Date Modified Username Field Change
2014-04-11 20:58 shmuel New Issue
2014-04-11 20:59 shmuel Steps to Reproduce Updated View Revisions
2014-04-12 14:29 DrKnS Assigned To => DrKnS
2014-04-12 14:29 DrKnS Status new => assigned
2014-04-12 14:30 DrKnS Note Added: 0012196
2014-04-12 14:30 DrKnS Status assigned => feedback
2014-04-12 17:59 shmuel Note Added: 0012198
2014-04-12 17:59 shmuel Status feedback => assigned
2014-04-12 20:32 DrKnS Note Added: 0012199
2014-04-12 20:32 DrKnS Status assigned => feedback
2014-04-12 20:32 DrKnS Note View State: 0012199: public
2014-04-13 00:45 shmuel Note Added: 0012201
2014-04-13 00:45 shmuel Status feedback => assigned
2014-04-13 13:47 DrKnS Note Added: 0012203
2014-04-13 13:47 DrKnS Status assigned => feedback
2014-06-04 21:13 DrKnS Build => 3865
2014-06-04 21:13 DrKnS Status feedback => closed
2014-06-04 21:13 DrKnS Resolution open => fixed
2014-06-04 21:13 DrKnS Fixed in Version => 3.0